cryptohash-0.11.9: collection of crypto hashes, fast, pure and practical

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Trustworthy
Language | Haskell98

Crypto.MAC.HMAC

Description

provide the HMAC (Hash based Message Authentification Code) base algorithm. http://en.wikipedia.org/wiki/HMAC

Synopsis

- hmac :: (ByteString -> ByteString) -> Int -> ByteString -> ByteString -> ByteString

# Documentation

hmac #

Arguments

:: (ByteString -> ByteString) | hash function
-> Int | block size
-> ByteString | secret
-> ByteString | message
-> ByteString |

compute a MAC using the supplied hashing function

An incremental API can be found in the module Crypto.Hash.